DL_GroupPrecomputation_LUC Class Reference

LUC GroupParameters precomputation. More...

Inheritance diagram for DL_GroupPrecomputation_LUC:

## Public Member Functions

const AbstractGroup< Element > & | GetGroup () const
| Retrieves AbstractGroup interface. More...
Element | BERDecodeElement (BufferedTransformation &bt) const
| Decodes element in DER format. More...
void | DEREncodeElement (BufferedTransformation &bt, const Element &v) const
| Encodes element in DER format. More...
void | SetModulus (const Integer &v)
const Integer & | GetModulus () const
Public Member Functions inherited from DL_GroupPrecomputation< Integer >
virtual bool | NeedConversions () const
| Determines if elements needs conversion. More...
virtual Element | ConvertIn (const Element &v) const
| Converts an element between representations. More...
virtual Element | ConvertOut (const Element &v) const
| Converts an element between representations. More...

## Additional Inherited Members

Public Types inherited from DL_GroupPrecomputation< Integer >
typedef Integer | Element

## Detailed Description

LUC GroupParameters precomputation.

No actual precomputation is performed

Since
  Crypto++ 2.1

Definition at line 173 of file luc.h.

## Member Function Documentation

## GetGroup()

const AbstractGroup<Element>& DL_GroupPrecomputation_LUC::GetGroup | ( |  | ) | const

inline virtual

Retrieves AbstractGroup interface.

Returns
  GetGroup() returns the AbstractGroup interface

Implements DL_GroupPrecomputation< Integer >.

Definition at line 178 of file luc.h.

## BERDecodeElement()

Element DL_GroupPrecomputation_LUC::BERDecodeElement | ( | BufferedTransformation & | bt | ) | const

inline virtual

Decodes element in DER format.

Parameters

  bt | BufferedTransformation object

Returns
  element in the group

Implements DL_GroupPrecomputation< Integer >.

Definition at line 179 of file luc.h.

## DEREncodeElement()

void DL_GroupPrecomputation_LUC::DEREncodeElement | ( | BufferedTransformation & | bt,
|  | const Element & | P
| ) |  | const

inline virtual

Encodes element in DER format.

Parameters

  bt | BufferedTransformation object
  P | Element to encode

Implements DL_GroupPrecomputation< Integer >.

Definition at line 180 of file luc.h.

The documentation for this class was generated from the following file:

- luc.h